package com.ejie.u74a.model;

/**
 * Clase que representa una oficina.
 * 
 *  
 */
public class Oficina {

	/** Código de la oficina. */
	private String codigoOficina;
	/** Nombre de la oficina. */
	private String nombreOficina;
	/** Nombre del contacto de la oficina. */
	private String nombreContacto;
	/** Número de teléfono de la oficina. */
	private String numeroTelefono;
	/** Dirección de la oficina. */
	private String direccionOficina;
	/** Código de la localidad de la oficina. */
	private int codigoLocalidad;
	/** Código postal de la oficina. */
	private String codigoPostal;
	/** Código de la provincia de la oficina. */
	private int codigoProvincia;
	/** Código del municipio de la oficina. */
	private int codigoMunicipio;

	/** Email de la oficina **/
	private String email;

	/**
	 * Constructor sin parámetros.
	 */
	public Oficina() {
		super();
	}

	/**
	 * Constructor.
	 * 
	 * @param codigoOficina Código de la oficina
	 * @param nombreOficina Nombre de la oficina
	 * @param nombreContacto Nombre de la persona de contacto
	 * @param numeroTelefono Número de teléfono de la oficina
	 * @param direccionOficina Dirección de la oficina
	 * @param codigoLocalidad Código de localidad
	 * @param codigoPostal Código postal
	 * @param codigoProvincia Código de provincia
	 * @param codigoMunicipio Código de municipio
	 */
	// public Oficina(String codigoOficina, String nombreOficina, String nombreContacto, String numeroTelefono,
	// String direccionOficina, int codigoLocalidad, String codigoPostal, int codigoProvincia, int codigoMunicipio) {
	// this.codigoOficina = codigoOficina;
	// this.nombreOficina = nombreOficina;
	// this.nombreContacto = nombreContacto;
	// this.numeroTelefono = numeroTelefono;
	// this.direccionOficina = direccionOficina;
	// this.codigoLocalidad = codigoLocalidad;
	// this.codigoPostal = codigoPostal;
	// this.codigoProvincia = codigoProvincia;
	// this.codigoMunicipio = codigoMunicipio;
	// }

	/**
	 * Obtiene el campo codigoOficina
	 * 
	 * @return codigoOficina
	 */
	public String getCodigoOficina() {
		return this.codigoOficina;
	}

	/**
	 * Establece el campo codigoOficina
	 * 
	 * @param codigoOficina codigoOficina
	 */
	public void setCodigoOficina(String codigoOficina) {
		this.codigoOficina = codigoOficina;
	}

	/**
	 * Obtiene el campo nombreOficina
	 * 
	 * @return nombreOficina
	 */
	public String getNombreOficina() {
		return this.nombreOficina;
	}

	/**
	 * Establece el campo nombreOficina
	 * 
	 * @param nombreOficina nombreOficina
	 */
	public void setNombreOficina(String nombreOficina) {
		this.nombreOficina = nombreOficina;
	}

	/**
	 * Obtiene el campo nombreContacto
	 * 
	 * @return nombreContacto
	 */
	public String getNombreContacto() {
		return this.nombreContacto;
	}

	/**
	 * Establece el campo nombreContacto
	 * 
	 * @param nombreContacto nombreContacto
	 */
	public void setNombreContacto(String nombreContacto) {
		this.nombreContacto = nombreContacto;
	}

	/**
	 * Obtiene el campo numeroTelefono
	 * 
	 * @return numeroTelefono
	 */
	public String getNumeroTelefono() {
		return this.numeroTelefono;
	}

	/**
	 * Establece el campo numeroTelefono
	 * 
	 * @param numeroTelefono numeroTelefono
	 */
	public void setNumeroTelefono(String numeroTelefono) {
		this.numeroTelefono = numeroTelefono;
	}

	/**
	 * Obtiene el campo direccionOficina
	 * 
	 * @return direccionOficina
	 */
	public String getDireccionOficina() {
		return this.direccionOficina;
	}

	/**
	 * Establece el campo direccionOficina
	 * 
	 * @param direccionOficina direccionOficina
	 */
	public void setDireccionOficina(String direccionOficina) {
		this.direccionOficina = direccionOficina;
	}

	/**
	 * Obtiene el campo codigoLocalidad
	 * 
	 * @return codigoLocalidad
	 */
	public int getCodigoLocalidad() {
		return this.codigoLocalidad;
	}

	/**
	 * Establece el campo codigoLocalidad
	 * 
	 * @param codigoLocalidad codigoLocalidad
	 */
	public void setCodigoLocalidad(int codigoLocalidad) {
		this.codigoLocalidad = codigoLocalidad;
	}

	/**
	 * Obtiene el campo codigoPostal
	 * 
	 * @return codigoPostal
	 */
	public String getCodigoPostal() {
		return this.codigoPostal;
	}

	/**
	 * Establece el campo codigoPostal
	 * 
	 * @param codigoPostal codigoPostal
	 */
	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	/**
	 * Obtiene el campo codigoProvincia
	 * 
	 * @return codigoProvincia
	 */
	public int getCodigoProvincia() {
		return this.codigoProvincia;
	}

	/**
	 * Establece el campo codigoProvincia
	 * 
	 * @param codigoProvincia codigoProvincia
	 */
	public void setCodigoProvincia(int codigoProvincia) {
		this.codigoProvincia = codigoProvincia;
	}

	/**
	 * Obtiene el campo codigoMunicipio
	 * 
	 * @return codigoMunicipio
	 */
	public int getCodigoMunicipio() {
		return this.codigoMunicipio;
	}

	/**
	 * Establece el campo codigoMunicipio
	 * 
	 * @param codigoMunicipio codigoMunicipio
	 */
	public void setCodigoMunicipio(int codigoMunicipio) {
		this.codigoMunicipio = codigoMunicipio;
	}

	/**
	 * Obtiene el campo email
	 * 
	 * @return email
	 */
	public String getEmail() {
		return this.email;
	}

	/**
	 * Establece el campo email
	 * 
	 * @param email email
	 */
	public void setEmail(String email) {
		this.email = email;
	}

}
